# Class NumberComparator

java.lang.Object
org.apache.jorphan.math.NumberComparator

All Implemented Interfaces:
  `Serializable, Comparator<Number[]>`

public class NumberComparator extends Object implements Comparator<Number[]>, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NumberComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Number[] n1, Number[] n2)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### NumberComparator

public NumberComparator()

## Method Details

### compare

public int compare(Number[] n1, Number[] n2)

Specified by:
  `compare` in interface `Comparator<Number[]>`